summaryrefslogtreecommitdiff
path: root/tamper/src/led-test/build.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tamper/src/led-test/build.sh')
-rw-r--r--tamper/src/led-test/build.sh7
1 files changed, 7 insertions, 0 deletions
diff --git a/tamper/src/led-test/build.sh b/tamper/src/led-test/build.sh
new file mode 100644
index 0000000..e9d46b4
--- /dev/null
+++ b/tamper/src/led-test/build.sh
@@ -0,0 +1,7 @@
+#!/bin/bash
+
+set -e
+
+avr-gcc -mmcu=avr25 main.c -o main.elf
+avr-objcopy -O ihex main.elf main.hex
+sudo avrdude -c usbtiny -p attiny828 -U flash:w:main.hex